/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Species
 */
public enum EnumCV_Species 
{
	//CID 7454 - Species
	HOMO_SAPIENS_L_85B00("L-85B00"),
	FELINE_SPECIES_L_80A00("L-80A00"),
	EQUINE_SPECIES_L_80400("L-80400"),
	OVINE_SPECIES_L_80300("L-80300"),
	PORCINE_SPECIES_L_80500("L-80500"),
	CAPRINE_SPECIES_L_80200("L-80200"),
	CANINE_SPECIES_L_80700("L-80700"),
	BOVINE_SPECIES_L_80100("L-80100");
	
	private String value;
	
	EnumCV_Species(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
